Get a Job's Latest Checklist

Why would I use this?

You might use this endpoint if you want to get the answers to your checklists questions back to populate into your CRM, or to a different part of your business.

What is it?

This endpoint retrieves the latest checklist associated with a job.

The questions array is an array of objects associated with questions from a checklist template set up at the HOVER org level. Here is a breakdown of each field from the questions object:

🛑 Note: The job_id and org_id parameters are required in this request. 🛑

Field NameField Description
answer_valueThe answer to the Question
idThe id of this specific question
imagesIf an image has been included with a question, a direct link to the image will be included as the redirect_url field
question_textThe text of the question
question_typeThe type of the question. Possible values include: boolean, number, string, and select
sort_orderThe order in which the question appears to the user filling out the checklist

In addition to questions and answers, the response payload will include a link to the Inspection Checklist PDF (the pdf_url field), which can then be imported into any system of your choosing.

Below is a sample response body that you can expect from this endpoint:

{
    "id": "bd24ea34-abba-4b94-a030-397726578522",
    "job_id": 9735525,
    "questions": [
        {
            "id": "6d68dd59-db6f-4731-b4a4-b0af261282a0",
            "sort_order": 0,
            "question_type": "string",
            "question_text": "Property owner's name?",
            "answer_value": "Testy McUser",
            "images": []
        },
        {
            "id": "bafc0f28-8227-44f4-89be-084f90eb6373",
            "sort_order": 1,
            "question_type": "boolean",
            "question_text": "Are there any broken windows or parts? If yes, please upload or take a photo of all damaged windows/parts.",
            "answer_value": "Nothing broken yet ;)",
            "images": [
                {
                    "redirect_url": "http://ehi.hover.to/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBMkZDQnc9PSIsImV4cCI6bnVsbCwicHVyIjoiYmxvYl9pZCJ9fQ==--4afeb5d93c73c102fd1ee36e86663edf47db2ae4/0C730CAC-07D1-4127-A079-D4FE483C7599.jpg",
                    "created_at": "2023-07-21T21:41:53.229Z"
                }
            ]
        },
        {
            "id": "724358d2-f939-4102-a5e1-f3b6acd13bf8",
            "sort_order": 2,
            "question_type": "string",
            "question_text": "Please add any additional notes and photos that will be necessary for the purpose of generating an estimate, material order, or installation.",
            "answer_value": "The roof, the roof, the roof is on fire",
            "images": [
                {
                    "redirect_url": "http://ehi.hover.to/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBM05DQnc9PSIsImV4cCI6bnVsbCwicHVyIjoiYmxvYl9pZCJ9fQ==--a6a6d2e3cfd2a919a8b11154e55685d7985d3a39/1471F593-AF40-441F-BCBF-952584AC2129.jpg",
                    "created_at": "2023-07-21T21:43:11.528Z"
                }
            ]
        },
        {
            "id": "cac81743-77a9-48da-9c7d-1ede22e26731",
            "sort_order": 3,
            "question_type": "string",
            "question_text": "Property owner's preferred contact method and info? Please specify email, text, or phone call.",
            "answer_value": "Carrier Piegons",
            "images": []
        },
      }
    ],
    "report_pdf": {
        "id": 473949,
        "name": "report_pdf",
        "record_id": "bd24ea34-abba-4b94-a030-397726578522",
        "record_type": "Inspection::Checklist",
        "blob_id": 476015,
        "created_at": "2023-07-21T23:24:29.174Z",
        "pdf_url": "http://ehi.hover.to/...pdf"
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
string
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json